Index: trunk/SophyaLib/Samba/Makefile
===================================================================
--- trunk/SophyaLib/Samba/Makefile	(revision 2735)
+++ trunk/SophyaLib/Samba/Makefile	(revision 2743)
@@ -1,168 +1,184 @@
-include ../Mgr/Makefile.h
+include ../BuildMgr/sophyamake.inc
  
-all: $(LIB)libSamba.a
+all: $(SOPHYALIBP)libSamba.a
+ 
 clean:
-	rm -f $(OBJ)alm.o $(OBJ)bruit.o $(OBJ)circle.o $(OBJ)datacirclefake.o $(OBJ)harmspher.o $(OBJ)lambdaBuilder.o $(OBJ)mlobe.o $(OBJ)sambainit.o $(OBJ)scan.o $(OBJ)sphericaltransformserver.o
-	rm -f $(LIB)libSamba.a
-$(LIB)libSamba.a : $(OBJ)alm.o $(OBJ)bruit.o $(OBJ)circle.o $(OBJ)datacirclefake.o $(OBJ)harmspher.o $(OBJ)lambdaBuilder.o $(OBJ)mlobe.o $(OBJ)sambainit.o $(OBJ)scan.o $(OBJ)sphericaltransformserver.o
-	$(ARCXX) $(ARCXXFLAGS) $@ $($(ARARGS))
-ifeq ($(CXX),cxx)
-	$(CXX) $? $(CPPFLAGS) $(CXXFLAGS) -o $(OBJ)xx.x -Hf
-endif 
+	 rm -f $(SOPHYAOBJP)alm.o $(SOPHYAOBJP)bruit.o $(SOPHYAOBJP)circle.o $(SOPHYAOBJP)datacirclefake.o $(SOPHYAOBJP)harmspher.o $(SOPHYAOBJP)lambdaBuilder.o $(SOPHYAOBJP)mlobe.o $(SOPHYAOBJP)sambainit.o $(SOPHYAOBJP)scan.o $(SOPHYAOBJP)sphericaltransformserver.o
+	rm -f $(SOPHYALIBP)libSamba.a
  
-$(OBJ)alm.o: alm.cc $(INC)sopnamsp.h \
- alm.h $(INC)nbrandom.h \
- $(INC)srandgen.h \
- $(INC)machdefs.h \
- $(INC)nbmath.h \
- $(INC)smathconst.h \
- $(INC)triangmtx.h \
- $(INC)ndatablock.h \
- $(INC)anydataobj.h \
- $(INC)pexceptions.h \
- $(INC)tvector.h \
- $(INC)tmatrix.h \
- $(INC)tarray.h \
- $(INC)basarr.h \
- $(INC)mutyv.h \
- $(INC)dvlist.h \
- $(INC)objfio.h \
- $(INC)ppersist.h \
- $(INC)gnumd5.h \
- $(INC)ppfbinstream.h \
- $(INC)rawstream.h \
- $(INC)ppfnametag.h \
- $(INC)utilarr.h
-$(OBJ)bruit.o: bruit.cc \
- $(INC)sopnamsp.h \
- $(INC)fmath.h bruit.h \
- $(INC)nbrandom.h \
- $(INC)srandgen.h \
- $(INC)machdefs.h
-$(OBJ)circle.o: circle.cc \
- $(INC)sopnamsp.h circle.h \
- $(INC)vector3d.h \
- $(INC)longlat.h \
- $(INC)machdefs.h \
- $(INC)utilgeom.h \
- $(INC)unitvector.h geometry.h
-$(OBJ)datacirclefake.o: datacirclefake.cc \
- $(INC)sopnamsp.h \
- datacirclefake.h datacirclebase.h circle.h \
- $(INC)vector3d.h \
- $(INC)longlat.h \
- $(INC)machdefs.h \
- $(INC)utilgeom.h \
- $(INC)unitvector.h geometry.h
-$(OBJ)harmspher.o: harmspher.cc \
- $(INC)machdefs.h harmspher.h
-$(OBJ)lambdaBuilder.o: lambdaBuilder.cc \
- $(INC)sopnamsp.h lambdaBuilder.h \
- $(INC)ndatablock.h \
- $(INC)machdefs.h \
- $(INC)anydataobj.h \
- $(INC)tvector.h \
- $(INC)tmatrix.h \
- $(INC)tarray.h \
- $(INC)basarr.h \
- $(INC)mutyv.h \
- $(INC)dvlist.h \
- $(INC)objfio.h \
- $(INC)ppersist.h \
- $(INC)pexceptions.h \
- $(INC)gnumd5.h \
- $(INC)ppfbinstream.h \
- $(INC)rawstream.h \
- $(INC)ppfnametag.h \
- $(INC)utilarr.h alm.h \
- $(INC)nbrandom.h \
- $(INC)srandgen.h \
- $(INC)nbmath.h \
- $(INC)smathconst.h \
- $(INC)triangmtx.h \
- $(INC)nbconst.h
-$(OBJ)mlobe.o: mlobe.cc \
- $(INC)sopnamsp.h mlobe.h \
- $(INC)sphericalmap.h \
- $(INC)smathconst.h \
- $(INC)machdefs.h \
- $(INC)pixelmap.h \
- $(INC)ppersist.h \
- $(INC)pexceptions.h \
- $(INC)gnumd5.h \
- $(INC)ppfbinstream.h \
- $(INC)rawstream.h \
- $(INC)ppfnametag.h \
- $(INC)dvlist.h \
- $(INC)objfio.h \
- $(INC)anydataobj.h \
- $(INC)mutyv.h \
- $(INC)spherepos.h \
- $(INC)unitvector.h \
- $(INC)vector3d.h \
- $(INC)longlat.h \
- $(INC)utilgeom.h \
- $(INC)tvector.h \
- $(INC)tmatrix.h \
- $(INC)tarray.h \
- $(INC)basarr.h \
- $(INC)ndatablock.h \
- $(INC)utilarr.h \
- $(INC)timing.h
-$(OBJ)sambainit.o: sambainit.cc \
- $(INC)sopnamsp.h sambainit.h \
- $(INC)skymapinit.h \
- $(INC)sophyainit.h \
- $(INC)machdefs.h \
- $(INC)ntoolsinit.h \
- $(INC)tarrinit.h
-$(OBJ)scan.o: scan.cc $(INC)sopnamsp.h \
- $(INC)machdefs.h scan.h \
- $(INC)ppersist.h \
- $(INC)pexceptions.h \
- $(INC)gnumd5.h \
- $(INC)ppfbinstream.h \
- $(INC)rawstream.h \
- $(INC)ppfnametag.h \
- $(INC)dvlist.h \
- $(INC)objfio.h \
- $(INC)anydataobj.h \
- $(INC)mutyv.h \
- $(INC)ndatablock.h \
- $(INC)fiondblock.h \
- $(INC)smathconst.h
-$(OBJ)sphericaltransformserver.o: sphericaltransformserver.cc \
- $(INC)sopnamsp.h \
- $(INC)machdefs.h \
- sphericaltransformserver.h \
- $(INC)sphericalmap.h \
- $(INC)smathconst.h \
- $(INC)pixelmap.h \
- $(INC)ppersist.h \
- $(INC)pexceptions.h \
- $(INC)gnumd5.h \
- $(INC)ppfbinstream.h \
- $(INC)rawstream.h \
- $(INC)ppfnametag.h \
- $(INC)dvlist.h \
- $(INC)objfio.h \
- $(INC)anydataobj.h \
- $(INC)mutyv.h \
- $(INC)spherepos.h \
- $(INC)unitvector.h \
- $(INC)vector3d.h \
- $(INC)longlat.h \
- $(INC)utilgeom.h \
- $(INC)tvector.h \
- $(INC)tmatrix.h \
- $(INC)tarray.h \
- $(INC)basarr.h \
- $(INC)ndatablock.h \
- $(INC)utilarr.h \
- $(INC)fftservintf.h \
- $(INC)fftpserver.h alm.h \
- $(INC)nbrandom.h \
- $(INC)srandgen.h \
- $(INC)nbmath.h \
- $(INC)triangmtx.h \
- lambdaBuilder.h $(INC)timing.h
+$(SOPHYALIBP)libSamba.a : $(SOPHYAOBJP)alm.o $(SOPHYAOBJP)bruit.o $(SOPHYAOBJP)circle.o $(SOPHYAOBJP)datacirclefake.o $(SOPHYAOBJP)harmspher.o $(SOPHYAOBJP)lambdaBuilder.o $(SOPHYAOBJP)mlobe.o $(SOPHYAOBJP)sambainit.o $(SOPHYAOBJP)scan.o $(SOPHYAOBJP)sphericaltransformserver.o
+	$(AR) $(ARFLAGS) $@ $? 
+ 
+$(SOPHYAOBJP)alm.o: alm.cc $(SOPHYAINCP)sopnamsp.h alm.h \
+  $(SOPHYAINCP)nbrandom.h \
+  $(SOPHYAINCP)srandgen.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)nbmath.h \
+  $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)triangmtx.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)utilarr.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)bruit.o: bruit.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)fmath.h bruit.h \
+  $(SOPHYAINCP)nbrandom.h \
+  $(SOPHYAINCP)srandgen.h \
+  $(SOPHYAINCP)machdefs.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)circle.o: circle.cc $(SOPHYAINCP)sopnamsp.h \
+  circle.h $(SOPHYAINCP)vector3d.h \
+  $(SOPHYAINCP)longlat.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)utilgeom.h \
+  $(SOPHYAINCP)unitvector.h geometry.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)datacirclefake.o: datacirclefake.cc \
+  $(SOPHYAINCP)sopnamsp.h datacirclefake.h \
+  datacirclebase.h circle.h \
+  $(SOPHYAINCP)vector3d.h \
+  $(SOPHYAINCP)longlat.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)utilgeom.h \
+  $(SOPHYAINCP)unitvector.h geometry.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)harmspher.o: harmspher.cc \
+  $(SOPHYAINCP)machdefs.h harmspher.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)lambdaBuilder.o: lambdaBuilder.cc \
+  $(SOPHYAINCP)sopnamsp.h lambdaBuilder.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)utilarr.h alm.h \
+  $(SOPHYAINCP)nbrandom.h \
+  $(SOPHYAINCP)srandgen.h \
+  $(SOPHYAINCP)nbmath.h \
+  $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)triangmtx.h \
+  $(SOPHYAINCP)nbconst.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)mlobe.o: mlobe.cc $(SOPHYAINCP)sopnamsp.h \
+  mlobe.h $(SOPHYAINCP)sphericalmap.h \
+  $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pixelmap.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)spherepos.h \
+  $(SOPHYAINCP)unitvector.h \
+  $(SOPHYAINCP)vector3d.h \
+  $(SOPHYAINCP)longlat.h \
+  $(SOPHYAINCP)utilgeom.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)timing.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)sambainit.o: sambainit.cc \
+  $(SOPHYAINCP)sopnamsp.h sambainit.h \
+  $(SOPHYAINCP)skymapinit.h \
+  $(SOPHYAINCP)sophyainit.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)ntoolsinit.h \
+  $(SOPHYAINCP)tarrinit.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)scan.o: scan.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h scan.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)fiondblock.h \
+  $(SOPHYAINCP)smathconst.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)sphericaltransformserver.o: sphericaltransformserver.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  sphericaltransformserver.h \
+  $(SOPHYAINCP)sphericalmap.h \
+  $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)pixelmap.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)spherepos.h \
+  $(SOPHYAINCP)unitvector.h \
+  $(SOPHYAINCP)vector3d.h \
+  $(SOPHYAINCP)longlat.h \
+  $(SOPHYAINCP)utilgeom.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)fftservintf.h \
+  $(SOPHYAINCP)fftpserver.h alm.h \
+  $(SOPHYAINCP)nbrandom.h \
+  $(SOPHYAINCP)srandgen.h \
+  $(SOPHYAINCP)nbmath.h \
+  $(SOPHYAINCP)triangmtx.h lambdaBuilder.h \
+  $(SOPHYAINCP)timing.h
+	$(CXXCOMPILE) -o $@ $<
+ 
Index: trunk/SophyaLib/Samba/smakefile
===================================================================
--- trunk/SophyaLib/Samba/smakefile	(revision 2743)
+++ trunk/SophyaLib/Samba/smakefile	(revision 2743)
@@ -0,0 +1,184 @@
+include $(SOPHYABASE)/include/sophyamake.inc
+ 
+all: $(SOPHYALIBP)libSamba.a
+ 
+clean:
+	 rm -f $(SOPHYAOBJP)alm.o $(SOPHYAOBJP)bruit.o $(SOPHYAOBJP)circle.o $(SOPHYAOBJP)datacirclefake.o $(SOPHYAOBJP)harmspher.o $(SOPHYAOBJP)lambdaBuilder.o $(SOPHYAOBJP)mlobe.o $(SOPHYAOBJP)sambainit.o $(SOPHYAOBJP)scan.o $(SOPHYAOBJP)sphericaltransformserver.o
+	rm -f $(SOPHYALIBP)libSamba.a
+ 
+$(SOPHYALIBP)libSamba.a : $(SOPHYAOBJP)alm.o $(SOPHYAOBJP)bruit.o $(SOPHYAOBJP)circle.o $(SOPHYAOBJP)datacirclefake.o $(SOPHYAOBJP)harmspher.o $(SOPHYAOBJP)lambdaBuilder.o $(SOPHYAOBJP)mlobe.o $(SOPHYAOBJP)sambainit.o $(SOPHYAOBJP)scan.o $(SOPHYAOBJP)sphericaltransformserver.o
+	$(AR) $(ARFLAGS) $@ $? 
+ 
+$(SOPHYAOBJP)alm.o: alm.cc $(SOPHYAINCP)sopnamsp.h alm.h \
+  $(SOPHYAINCP)nbrandom.h \
+  $(SOPHYAINCP)srandgen.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)nbmath.h \
+  $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)triangmtx.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)utilarr.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)bruit.o: bruit.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)fmath.h bruit.h \
+  $(SOPHYAINCP)nbrandom.h \
+  $(SOPHYAINCP)srandgen.h \
+  $(SOPHYAINCP)machdefs.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)circle.o: circle.cc $(SOPHYAINCP)sopnamsp.h \
+  circle.h $(SOPHYAINCP)vector3d.h \
+  $(SOPHYAINCP)longlat.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)utilgeom.h \
+  $(SOPHYAINCP)unitvector.h geometry.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)datacirclefake.o: datacirclefake.cc \
+  $(SOPHYAINCP)sopnamsp.h datacirclefake.h \
+  datacirclebase.h circle.h \
+  $(SOPHYAINCP)vector3d.h \
+  $(SOPHYAINCP)longlat.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)utilgeom.h \
+  $(SOPHYAINCP)unitvector.h geometry.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)harmspher.o: harmspher.cc \
+  $(SOPHYAINCP)machdefs.h harmspher.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)lambdaBuilder.o: lambdaBuilder.cc \
+  $(SOPHYAINCP)sopnamsp.h lambdaBuilder.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)utilarr.h alm.h \
+  $(SOPHYAINCP)nbrandom.h \
+  $(SOPHYAINCP)srandgen.h \
+  $(SOPHYAINCP)nbmath.h \
+  $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)triangmtx.h \
+  $(SOPHYAINCP)nbconst.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)mlobe.o: mlobe.cc $(SOPHYAINCP)sopnamsp.h \
+  mlobe.h $(SOPHYAINCP)sphericalmap.h \
+  $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pixelmap.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)spherepos.h \
+  $(SOPHYAINCP)unitvector.h \
+  $(SOPHYAINCP)vector3d.h \
+  $(SOPHYAINCP)longlat.h \
+  $(SOPHYAINCP)utilgeom.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)timing.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)sambainit.o: sambainit.cc \
+  $(SOPHYAINCP)sopnamsp.h sambainit.h \
+  $(SOPHYAINCP)skymapinit.h \
+  $(SOPHYAINCP)sophyainit.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)ntoolsinit.h \
+  $(SOPHYAINCP)tarrinit.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)scan.o: scan.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h scan.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)fiondblock.h \
+  $(SOPHYAINCP)smathconst.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)sphericaltransformserver.o: sphericaltransformserver.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  sphericaltransformserver.h \
+  $(SOPHYAINCP)sphericalmap.h \
+  $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)pixelmap.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)spherepos.h \
+  $(SOPHYAINCP)unitvector.h \
+  $(SOPHYAINCP)vector3d.h \
+  $(SOPHYAINCP)longlat.h \
+  $(SOPHYAINCP)utilgeom.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)fftservintf.h \
+  $(SOPHYAINCP)fftpserver.h alm.h \
+  $(SOPHYAINCP)nbrandom.h \
+  $(SOPHYAINCP)srandgen.h \
+  $(SOPHYAINCP)nbmath.h \
+  $(SOPHYAINCP)triangmtx.h lambdaBuilder.h \
+  $(SOPHYAINCP)timing.h
+	$(CXXCOMPILE) -o $@ $<
+ 
